National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2009-3652 Detail

Description

Cross-site scripting (XSS) vulnerability in Organic Groups (OG) 5.x-7.x before 5.x-7.4, 5.x-8.x before 5.x-8.1, and 6.x-1.x before 6.x-1.4, a module for Drupal, allows remote authenticated users, with create or edit group nodes permissions, to inject arbitrary web script or HTML via the User-Agent HTTP header, a different issue than CVE-2008-3095.

Source:  MITRE
Description Last Modified:  10/09/2009

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 3.5 LOW
Vector: (AV:N/AC:M/Au:S/C:N/I:P/A:N) (V2 legend)
Impact Subscore: 2.9
Exploitability Subscore: 6.8


Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (AU): Single
Confidentiality (C): None
Integrity (I): Partial
Availability (A): None
Additional Information:
Victim must voluntarily interact with attack mechanism
Allows unauthorized modification

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://drupal.org/node/592358 Patch Vendor Advisory
http://drupal.org/node/592410 Patch Vendor Advisory
http://drupal.org/node/592412 Patch Vendor Advisory
http://drupal.org/node/592414 Patch Vendor Advisory
http://www.securityfocus.com/bid/36558 Patch
https://exchange.xforce.ibmcloud.com/vulnerabilities/53570

Technical Details

Vulnerability Type (View All)

  • Cross-Site Scripting (XSS) (CWE-79)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
AND
OR
cpe:2.3:a:moshe_weitzman:organic_groups:5.x-7.0:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:5.x-7.0-rc1:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:5.x-7.0-rc2:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:5.x-7.0-rc3:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:5.x-7.0-rc4:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:5.x-7.0-rc5:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:5.x-7.1:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:5.x-7.2:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:5.x-7.3:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:5.x-8.0:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:6.x-1.0:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:6.x-1.0-beta1:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:6.x-1.0-rc1:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:6.x-1.0-rc2:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:6.x-1.0-rc3:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:6.x-1.0-rc4:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:6.x-1.0-rc5:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:6.x-1.0-rc6:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:6.x-1.0-rc7:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:6.x-1.0-rc8:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:6.x-1.0-rc9:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:6.x-1.1:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:6.x-1.2:*:*:*:*:*:*:*
cpe:2.3:a:moshe_weitzman:organic_groups:6.x-1.3:*:*:*:*:*:*:*
OR
cpe:2.3:a:drupal:drupal:*:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

2 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2009-3652
NVD Published Date:
10/09/2009
NVD Last Modified:
08/16/2017